/*
   This file defines the nonstandard (not defined in math.h) function 
   routines in the libffm library. See file LICENSE for copyright details.
*/

double log2(double);
double exp2(double);
double exp10(double);
double cotan(double);
double powr(double, double);
void dsqrtv(double *, double *, int);
void dsqrtiv(double *, double *, int);
